/*
xbee_api.h

Rev 0.1, 2015-07-31
Per Magnusson, Axotron, axotron.se/blog

This code is public domain and comes with absolutely no warranty. Enjoy!

Declarations for the main part of the program.
*/

#include "mbed.h"

extern Serial pc; 
extern Serial xbee; 
extern DigitalOut redled; 
extern DigitalOut greenled; 
extern DigitalOut blueled; 

typedef struct humidity_data_t {
    char cmd_reply[4];
    char sensor_data_type[4];
    float humidity;
    float temperature;
    uint8_t rssi;
    uint8_t err_cnt;
} humidity_data_t;

